using Newtonsoft.Json;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace map {
    [System.Serializable]
    public class MapPoint {
        [JsonProperty("pos")]
        public Coord position;
        [JsonProperty("quest")]
        public string questId;
        [JsonProperty("sprite")]
        public string spriteId;
        [JsonProperty("description")]
        public string description;
        [JsonProperty("params")]
        internal Dictionary<string, int> startParams;
        [JsonProperty("text_vars")]
        internal Dictionary<string, string> textVariables;

        public MapPoint(int x, int y, string sprite, string quest, string pointDescription = null) {
            position = new Coord(x, y);
            spriteId = sprite;
            questId = quest;
            description = pointDescription;
        }
    }
}
